
var express = require('express')
// bodyParser is a lib that parses POST & PUT data
var bodyParser = require('body-parser')

var app = express()
var port = process.env.PORT || 8080;

app.use(bodyParser.urlencoded({ extended: false }))
app.use(bodyParser.json())

var people_path = '/people'

app.get(people_path,function (req,res) {
  res.send('some people here')
})

app.post(people_path,function (req,res) {
  res.send('create a person here')
})

app.put(people_path,function (req,res) {
  res.send('modify a person')
})

app.delete(people_path,function (req,res) {
  res.send('delete a person')
})

app.listen(port)
